FROM python:slim-buster

WORKDIR /usr/src/app

COPY requirements.txt ./
RUN pip install --no-cache-dir -r requirements.txt

COPY . .

RUN chmod +X wait-for-it.sh

ENTRYPOINT ["./wait-for-it.sh", "dynamodb:8000", "--", "python", "/code/app.py"]